# language: fr
@webdelib @recette @paramétrage @javascript
Fonctionnalité: 013 - Paramétrage des circuits

Contexte:
    Etant donné que je suis connecté avec l'utilisateur "admin"
        Et que je vais dans le menu "Administration > Utilisateurs > Circuits"
    Alors je devrais voir un titre contenant "Liste des circuits"

Plan du Scénario: 001 - Ajout des circuits
    Lorsque je suis "Créer un circuit"
        Alors je devrais voir le titre "Créer un circuit de traitement"
    Lorsque je remplis "Nom" avec "<Nom>"
        Et que je remplis "Description" avec "<Description>"
        Et que je coche "Actif"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Le circuit <Nom> a été ajouté"
        Et je vois la ligne "<Nom> | <Description>"
Exemples:
    | Nom                                    | Description                                          |
    | Circuit Administration Générale |                                                      |
    | Circuit Arrêtés de circulation  |                                                      |
    | Circuit Arrêtés urgents         |                                                      |
    | Circuit direct DGS              |                                                      |
    | Circuit DSI                     |                                                      |
    | Circuit Education - Jeunesse    |                                                      |
    | Circuit Finances                |                                                      |
    | Circuit i-Parapheur             | Visa du Maire dans i-Parapheur puis retour WD        |
    | Circuit i-Parapheur - 2 visas   | Visa du DGS et Maire dans i-Parapheur puis retour WD |
    | Circuit RH                      |                                                      |
    | Circuit spécial subventions     |                                                      |
    | Circuit Sports                  |                                                      |
    | Circuit STM                     |                                                      |
    | Circuit Voirie                  |                                                      |

Scénario: 002 - Ajout d'étapes et de compositions au circuit "Circuit Administration Générale"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Administration Générale"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Rédaction"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Administration Générale"
        Et je vois la ligne "Rédaction | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Rédaction"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Rédacteur du projet" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Rédacteur du projet | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation juridique"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Administration Générale"
        Et je vois la ligne "Validation juridique | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation juridique"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Patricia MATHIEU (patricia)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Patricia MATHIEU (patricia) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Administration Générale"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 003 - Ajout d'étapes et de compositions au circuit "Circuit Arrêtés de circulation"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Arrêtés de circulation"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Etape validation concurrente"
        Et que je sélectionne "Concurrent [OU]" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Arrêtés de circulation"
        Et je vois la ligne "Etape validation concurrente | Concurrent [OU]"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Etape validation concurrente"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Eric POMMATEAU (eric)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Eric POMMATEAU (eric) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Axel CHEVRIER (axel)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Axel CHEVRIER (axel) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Franck MEIGNEN (franck)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Franck MEIGNEN (franck) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Arrêtés de circulation"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Retour rédacteur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Arrêtés de circulation"
        Et je vois la ligne "Retour rédacteur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Retour rédacteur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Rédacteur du projet" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Rédacteur du projet | Visa"

Scénario: 004 - Ajout d'étapes et de compositions au circuit "Circuit Arrêtés urgents"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Arrêtés urgents"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Concurrent [OU]" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Arrêtés urgents"
        Et je vois la ligne "Validation DGS | Concurrent [OU]"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Nathalie SCHUMACHER (nathalie)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Nathalie SCHUMACHER (nathalie) | Visa"

Scénario: 005 - Ajout d'étapes et de compositions au circuit "Circuit direct DGS"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit direct DGS"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit direct DGS"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 006 - Ajout d'étapes et de compositions au circuit "Circuit DSI"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit DSI"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Chef"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit DSI"
        Et je vois la ligne "Chef | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Julien LEGALL (julien)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Julien LEGALL (julien) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit DSI"
        Et je vois la ligne "Directeur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Mathias MARTIN (mathias)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Mathias MARTIN (mathias) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit DSI"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 007 - Ajout d'étapes et de compositions au circuit "Circuit Education - Jeunesse"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Education - Jeunesse"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Chef"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Education - Jeunesse"
        Et je vois la ligne "Chef | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Amélie MONT (amelie)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Amélie MONT (amelie) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Education - Jeunesse"
        Et je vois la ligne "Directeur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Arnaud AUZOLAT (arnaud)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Arnaud AUZOLAT (arnaud) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Education - Jeunesse"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 008 - Ajout d'étapes et de compositions au circuit "Circuit Finances"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Finances"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Finances"
        Et je vois la ligne "Directeur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Lukas HAMEURY (lukas)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Lukas HAMEURY (lukas) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Finances"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 009 - Ajout d'étapes et de compositions au circuit "Circuit i-Parapheur"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit i-Parapheur"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Rédaction"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je remplis "Nombre de jours avant retard" avec "20"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit i-Parapheur"
        Et je vois la ligne "Rédaction | Simple | 20 jours avant la séance"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Rédaction"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Rédacteur du projet" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Rédacteur du projet | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Visa i-parapheur élu"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je remplis "Nombre de jours avant retard" avec "10"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit i-Parapheur"
        Et je vois la ligne "Visa i-parapheur élu | Simple | 10 jours avant la séance"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Visa i-parapheur élu"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Connecteur : Parapheur électronique" depuis "CompositionTypeComposition"
        Et que je sélectionne "visa" depuis "CompositionSoustype"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Connecteur [i-Parapheur] (ACTES_AD / visa) | Délégation de validation"

Scénario: 010 - Ajout d'étapes et de compositions au circuit "Circuit i-Parapheur - 2 visas"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit i-Parapheur - 2 visas"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Rédaction"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je remplis "Nombre de jours avant retard" avec "20"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit i-Parapheur - 2 visas"
        Et je vois la ligne "Rédaction | Simple | 20 jours avant la séance"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Rédaction"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Rédacteur du projet" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Rédacteur du projet | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Visa i-parapheur élu"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je remplis "Nombre de jours avant retard" avec "10"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit i-Parapheur - 2 visas"
        Et je vois la ligne "Visa i-parapheur élu | Simple | 10 jours avant la séance"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Visa i-parapheur élu"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Connecteur : Parapheur électronique" depuis "CompositionTypeComposition"
        Et que je sélectionne "visa dgs et maire" depuis "CompositionSoustype"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Connecteur [i-Parapheur] (ACTES_AD / visa dgs et maire) | Délégation de validation"

Scénario: 011 - Ajout d'étapes et de compositions au circuit "Circuit RH"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit RH"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit RH"
        Et je vois la ligne "Directeur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Inés RUIZ (ines)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Inés RUIZ (ines) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit RH"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 012 - Ajout d'étapes et de compositions au circuit "Circuit spécial subventions"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit spécial subventions"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Chef"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit spécial subventions"
        Et je vois la ligne "Chef | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Mickael PASTOR (mickael)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Mickael PASTOR (mickael) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Concurrent [OU]" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit spécial subventions"
        Et je vois la ligne "Directeur | Concurrent [OU]"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Inés RUIZ (ines)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Inés RUIZ (ines) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Eric POMMATEAU (eric)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Eric POMMATEAU (eric) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Collaboratif [ET]" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit spécial subventions"
        Et je vois la ligne "Validation DGS | Collaboratif [ET]"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Nathalie SCHUMACHER (nathalie)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Nathalie SCHUMACHER (nathalie) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 013 - Ajout d'étapes et de compositions au circuit "Circuit Sports"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Sports"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Concurrent [OU]" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Sports"
        Et je vois la ligne "Directeur | Concurrent [OU]"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Arnaud AUZOLAT (arnaud)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Arnaud AUZOLAT (arnaud) | Visa"
    Lorsque je suis "Ajouter une composition"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Adrien BRICCO (adrien)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Adrien BRICCO (adrien) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Sports"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 014 - Ajout d'étapes et de compositions au circuit "Circuit STM"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit STM"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Chef 1"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 1 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 1"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Eric POMMATEAU (eric)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Eric POMMATEAU (eric) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Chef 2"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 2 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 2"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Inés RUIZ (ines)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Inés RUIZ (ines) | Visa"
        Et que je suis "Retour"
    # Etape 3
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Chef 3"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 3 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 3"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Julien LEGALL (julien)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Julien LEGALL (julien) | Visa"
        Et que je suis "Retour"
    # Etape 4
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Chef 4"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 4 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 4"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Lukas HAMEURY (lukas)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Lukas HAMEURY (lukas) | Visa"
        Et que je suis "Retour"
    # Etape 5
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Chef 5"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 5 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 5"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Nathalie SCHUMACHER (nathalie)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Nathalie SCHUMACHER (nathalie) | Visa"
        Et que je suis "Retour"
    # Etape 6
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Chef 6"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit STM"
        Et je vois la ligne "Chef 6 | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Chef 6"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"

Scénario: 015 - Ajout d'étapes et de compositions au circuit "Circuit Voirie"
    Lorsque je clique sur "Visualiser les étapes" dans la ligne "Circuit Voirie"
        Alors je devrais voir le titre "Ajouter une étape"
    # Etape 1
    Lorsque je remplis "Nom" avec "Directeur"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Voirie"
        Et je vois la ligne "Directeur | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Directeur"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Eric POMMATEAU (eric)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Eric POMMATEAU (eric) | Visa"
        Et que je suis "Retour"
    # Etape 2
    Lorsque je suis "Ajouter une étape"
        Et que je remplis "Nom" avec "Validation DGS"
        Et que je sélectionne "Simple" depuis "EtapeType"
        Et que je presse "Enregistrer"
    Alors je devrais voir "Enregistrement effectué"
        Et je devrais voir le titre "Étapes du circuit : Circuit Voirie"
        Et je vois la ligne "Validation DGS | Simple"
    Lorsque je clique sur "Composition de l'étape" dans la ligne "Validation DGS"
        Alors je devrais voir le titre "Ajouter une composition à l'étape du circuit de traitement"
    Lorsque je sélectionne "Emma DURAND (emma)" depuis "CompositionSelectUser"
        Et que je presse "Enregistrer"
    Alors je devrais voir "La composition a été enregistrée"
        Et je vois la ligne "Emma DURAND (emma) | Visa"
